﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace WpfApplication1
{
    public class MainViewModel : INotifyPropertyChanged
    {
        private TimeZone _time;
        public TimeZone TimeZone
        {
            get { return _time; }
            set { _time = value; NotifyPropertyChanged("Time"); }
        }
        #region INotifyPropertyChanged Members

        public void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
        public ObservableCollection<WorkQueueAccount> AvailableAccounts { get; set; }
        private ICollectionView _selectedAccountsView;
        private CollectionViewSource _selectedAccountsViewSource;
        public ListCollectionView _lst;


        public MainViewModel()
        {
            AvailableAccounts = new ObservableCollection<WorkQueueAccount>();
            for (int i = 0; i < 17; i++)
            {
                AvailableAccounts.Add(new WorkQueueAccount()     {

                    TimeZone = new TimeZone
                    {
                        Alias = "CT",
                        TimeZoneCode = "CT",
                        TimeZoneDescription = "Central Time",
                        TimeZoneId = 2,
                        UtcCode = "-06:00",
                        UtcHourOffset = -6,
                        UtcMinuteOffset = 0
                    }
                });
            }
            _lst = new ListCollectionView(AvailableAccounts);
            _lst.Filter = (e) =>
            {
                WorkQueueAccount d = e as WorkQueueAccount;
                if (d.TimeZone.UtcCode == "-06:00")
                {
                    return true;
                }
                return false;
            };

        }
    
    }
    }
